Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cassandra.cql3
Enum Relation.Type

    java.lang.Object
      java.lang.Enum<Relation.Type>
          org.apache.cassandra.cql3.Relation.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Relation.Type>

Enclosing class:
  Relation

    public static enum Relation.Type

extends java.lang.Enum<Relation.Type>

Enum Constant Summary
`EQ`
`GT`
`GTE`
`IN`
`LT`
`LTE`

Method Summary
`static Relation.Type` | `forString(java.lang.String s)`
`static Relation.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Relation.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EQ

    public static final Relation.Type EQ

### LT

    public static final Relation.Type LT

### LTE

    public static final Relation.Type LTE

### GTE

    public static final Relation.Type GTE

### GT

    public static final Relation.Type GT

### IN

    public static final Relation.Type IN

Method Detail

### values

    public static Relation.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Relation.Type c : Relation.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Relation.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### forString

    public static Relation.Type forString(java.lang.String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013 The Apache Software Foundation